ParameterStack (API documentation of hlt.language packages)
Date: 2013-01-30

hlt.language.design.kernel

## Class ParameterStack

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList
    - - hlt.language.util.ArrayList
      - - hlt.language.util.Stack
        - - hlt.language.design.kernel.ParameterStack

- All Implemented Interfaces:
    ViewableStack, java.lang.Iterable, java.util.Collection, java.util.List

      public class ParameterStack
      extends Stack

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParameterStack()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Parameter` | `getLocalParameter(java.lang.String name)`
    `java.lang.String` | `toString()` Returns a string representation of this ArrayList

    - ### Methods inherited from class hlt.language.util.Stack

      `empty, iterator, peek, peek, pop, push, replace, search`

    - ### Methods inherited from class hlt.language.util.ArrayList

      `add, add, addAll, addAll, addAll, addAll, addElement, capacity, clear, clear, clone, contains, containsAll, containsAll, copyInto, elementAt, ensureCapacity, equals, firstElement, get, hasGaps, hashCode, indexOf, indexOf, insertElementAt, isEmpty, lastElement, lastIndexOf, lastIndexOf, remove, remove, removeAll, removeAll, removeAllElements, removeAllFirst, removeAllFirst, removeElement, removeElementAt, removeGaps, removeRange, retainAll, set, setElementAt, setIncrementFactor, setLast, setSize, size, toArray, toStringArray, trimToSize`

    - ### Methods inherited from class java.util.AbstractList

      `addAll, listIterator, listIterator, subList`

    - ### Methods inherited from class java.util.AbstractCollection

      `addAll, containsAll, removeAll, retainAll, toArray`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface hlt.language.util.ViewableStack

      `get, isEmpty, size`

    - ### Methods inherited from interface java.util.Collection

      `addAll, containsAll, removeAll, retainAll, toArray`

    - ### Methods inherited from interface java.util.List

      `addAll, containsAll, removeAll, retainAll, toArray`

- - ### Constructor Detail

    - #### ParameterStack

          public ParameterStack()

  - ### Method Detail

    - #### getLocalParameter

          public final Parameter getLocalParameter(java.lang.String name)

    - #### toString

          public final java.lang.String toString()

      Description copied from class: `ArrayList`
      Returns a string representation of this ArrayList
      Overrides:
        `toString` in class `ArrayList`
      Returns:
        a string representation of this collection.